Package com.meterware.httpunit

# Class Base64

java.lang.Object
com.meterware.httpunit.Base64

public class Base64 extends Object
A utility class to convert to and from base 64 encoding.

Author:
  Russell Gold

## Constructor Summary

Constructors
Constructor
Description
`Base64()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`decode(String source)`
Returns the plaintext equivalent of a base 64-encoded string.
`static String`
`encode(String source)`
Returns the base 64 encoded equivalent of a supplied string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Base64

public Base64()

## Method Details

### encode

public static String encode(String source)
Returns the base 64 encoded equivalent of a supplied string.

Parameters:
  `source` - the string to encode

### decode

public static String decode(String source)
Returns the plaintext equivalent of a base 64-encoded string.

Parameters:
  `source` - a base 64 string (which must have a multiple of 4 characters)